Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008287opensim[REGION] Specific OpenSim Modulepublic2018-02-03 07:092018-02-07 04:28
Reporterdjphil 
Assigned Todjphil 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0008287: [XmlRpcGroups] Fix last login date
DescriptionThis is a fix for groups last login date (1/1/1970)

In file:
OpenSim/Region/OptionalModules/Avatar/XmlRpcGroups/XmlRpcGroupsServicesConnectorModule.cs

after line 668 add:
data.OnlineStatus = (string)membership["OnlineStatus"];

Ty Foto50 :)
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineubODE
Environment.NET / Windows64
Mono VersionNone
ViewerFireStorm
Attached Filespng file icon 2018-02-03_16-06-43.png [^] (32,298 bytes) 2018-02-03 07:09


patch file icon groupsonlinedate.patch [^] (1,280 bytes) 2018-02-03 09:11 [Show Content]

- Relationships

-  Notes
(0032528)
BillBlight (developer)
2018-02-03 09:25

I have attached a patch that should do the trick.
(0032530)
djphil (reporter)
2018-02-03 10:16

Yeap, ty :)
(0032531)
BillBlight (developer)
2018-02-03 15:57

On another note, this may only work if you have a updated groups php that sends the OnlineStatus.
(0032532)
paela argus (reporter)
2018-02-03 15:58

where is the update php ;) ?
(0032533)
BillBlight (developer)
2018-02-03 16:01

I'll have to dig it out, it is rolled in with the rest of my site, so I'll have to dig out a stand alone one, or just update the old one.
(0032537)
djphil (reporter)
2018-02-07 04:28

Apply on master, ty :)
(e685d8dcef548ac4b795fb013d33bda81ff7de22)

- Issue History
Date Modified Username Field Change
2018-02-03 07:09 djphil New Issue
2018-02-03 07:09 djphil File Added: 2018-02-03_16-06-43.png
2018-02-03 09:11 BillBlight File Added: groupsonlinedate.patch
2018-02-03 09:25 BillBlight Note Added: 0032528
2018-02-03 09:25 BillBlight Note Added: 0032529
2018-02-03 09:25 BillBlight Status new => patch included
2018-02-03 10:16 djphil Note Added: 0032530
2018-02-03 15:57 BillBlight Note Added: 0032531
2018-02-03 15:58 paela argus Note Added: 0032532
2018-02-03 16:01 BillBlight Note Added: 0032533
2018-02-03 16:10 BillBlight Note Deleted: 0032529
2018-02-07 04:28 djphil Note Added: 0032537
2018-02-07 04:28 djphil Status patch included => resolved
2018-02-07 04:28 djphil Fixed in Version => master (dev code)
2018-02-07 04:28 djphil Resolution open => fixed
2018-02-07 04:28 djphil Assigned To => djphil
2018-02-07 04:28 djphil Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker